Dont buy Xprog Clone 6.17, Just buy Xhorse VVDI Prog

Xprog Clone 6.17 is popping up on eBay and several other sites, it really didn’t last long, Was brand new and untouched, set up on a clean windows 7 laptop with no network devices or antivirus or Defender and never had Xprog or any other tools on it. Set up as per instructions and Reg entries added as per.

new xprog v6.12 03 - Dont buy Xprog Clone 6.17, Just buy Xhorse VVDI Prog - New Xprog V6.12 03

Read a couple of HC05 and tried to write one and got a write error.

 

Tried to read HC05 again and got the dreaded certificate has Expired or not validated warning which means the Atmel64 now needs replacing.

 

What about Xprog Clone 5.84/ 5.5.5/ 5.5.1? to program that Atmega64

I have Xprog 5.84 from good seller. I use 100 times and work good. Win7 x64 eng without network.

You can use Xprog 5.5.5,, but on some cases this version is not working correct,
on 9S12HZ128 (protected/secure) it always read but confirmation error, it means
every reading is reads different.

Just change the adapter to other xprog with v5.5.1 and it read perfect.

So you can try it, use other tool or other xprog to program that Atmega64,
each version have pros and cons,, depending on what you want.

There is new version 6.17 and 6.26, but they are warning about the same
problem and also selling separated Atmega64 to replace,, it means this
units can also die,, waiting for Certificate.

 

So, what is the best method?

Better way – buy original VVDI Prog. The same device list but work fine and regular updated.

 

And your option?

Welcome to leave your reviews at https://www.obdexpress.co.uk/.

favicon - Dont buy Xprog Clone 6.17, Just buy Xhorse VVDI Prog - Dont buy Xprog Clone 6.17, Just buy Xhorse VVDI Prog